# Class PokemonHealPhase

#### Hierarchy (view full)

- CommonAnimPhase
  - PokemonHealPhase

- Defined in src/phases.ts:4545

#####
Index

### Constructors

constructor

### Properties

battlerIndex
fieldIndex
healStatus
hpHealed
message
player
preventFullHeal
revive
scene
showFullHpMessage
skipAnim

### Methods

end
executeForAll
getOrder
getPokemon
hideEnemyTrainer
setAnimation
showEnemyTrainer
start

## Constructors

### constructor

- new PokemonHealPhase(scene, battlerIndex, hpHealed, message, showFullHpMessage, skipAnim?, revive?, healStatus?, preventFullHeal?): PokemonHealPhase

- #### Parameters

  - scene: default
  - battlerIndex: BattlerIndex
  - hpHealed: number
  - message: string
  - showFullHpMessage: boolean
  - skipAnim: boolean = false
  - revive: boolean = false
  - healStatus: boolean = false
  - preventFullHeal: boolean = false

  #### Returns PokemonHealPhase

  Overrides CommonAnimPhase.constructor

  - Defined in src/phases.ts:4554

## Properties

### `Protected` battlerIndex

battlerIndex: number

Inherited from CommonAnimPhase.battlerIndex

- Defined in src/phases.ts:688

### fieldIndex

fieldIndex: number

Inherited from CommonAnimPhase.fieldIndex

- Defined in src/phases.ts:690

### `Private` healStatus

healStatus: boolean

- Defined in src/phases.ts:4551

### `Private` hpHealed

hpHealed: number

- Defined in src/phases.ts:4546

### `Private` message

message: string

- Defined in src/phases.ts:4547

### player

player: boolean

Inherited from CommonAnimPhase.player

- Defined in src/phases.ts:689

### `Private` preventFullHeal

preventFullHeal: boolean

- Defined in src/phases.ts:4552

### `Private` revive

revive: boolean

- Defined in src/phases.ts:4550

### `Protected` scene

scene: default

Inherited from CommonAnimPhase.scene

- Defined in src/phase.ts:4

### `Private` showFullHpMessage

showFullHpMessage: boolean

- Defined in src/phases.ts:4548

### `Private` skipAnim

skipAnim: boolean

- Defined in src/phases.ts:4549

## Methods

### end

- end(): void

- #### Returns void

  Overrides CommonAnimPhase.end

  - Defined in src/phases.ts:4574

### executeForAll

- executeForAll(func): void

- #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from CommonAnimPhase.executeForAll

  - Defined in src/phases.ts:681

### getOrder

- getOrder(): BattlerIndex []

- #### Returns BattlerIndex []

  Inherited from CommonAnimPhase.getOrder

  - Defined in src/phases.ts:659

### getPokemon

- getPokemon(): default

- #### Returns default

  Inherited from CommonAnimPhase.getPokemon

  - Defined in src/phases.ts:704

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from CommonAnimPhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### setAnimation

- setAnimation(anim): void

- #### Parameters

  - anim: CommonAnim

  #### Returns void

  Inherited from CommonAnimPhase.setAnimation

  - Defined in src/phases.ts:2468

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from CommonAnimPhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Overrides CommonAnimPhase.start

  - Defined in src/phases.ts:4566